package com.gct.aoid.controller;


import com.alibaba.fastjson.JSONObject;
import com.gct.aoid.service.AoidParamSettingService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 量液异常参数配置表 前端控制器
 * </p>
 *
 * @author gxt
 * @since 2021-12-21
 */
@RestController
@RequestMapping("/aoidParamSetting")
public class AoidParamSettingController {

    @Autowired
    AoidParamSettingService aoidParamSettingService;

    @GetMapping("/getAoidParamSetting")
    public Result getAoidParamSetting(){
        return Result.ok(aoidParamSettingService.getAoidParamSetting());
    }
    @PostMapping("/editAoidParamSetting")
    public Result editAoidParamSetting(@RequestBody JSONObject jsonObject){
        return Result.ok(aoidParamSettingService.editAoidParamSetting(jsonObject));
    }
}

