package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author gxt
 * @since 2022-10-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidDeviceLiq对象", description="")
@TableName("aoid.aoid_device_liq")
public class AoidDeviceLiq extends Model<AoidDeviceLiq> {

    private static final long serialVersionUID=1L;

    private String id;

    @ApiModelProperty(value = "罐或者计量装置名称")
    private String wellName;

    @ApiModelProperty(value = "液量")
    private String liquid;

    @ApiModelProperty(value = "采集时间")
    private LocalDateTime getTime;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
