package com.gct.aoid.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AoidGkHeavyModel对象", description="")
@TableName(schema = "aoid",value = "aoid_gk_heavymodel")
public class AoidGkHeavyModel extends Model<AoidGkHeavyModel> {

    private static final long serialVersionUID=1L;

    @TableId(value = "hid",type = IdType.AUTO)
    @ApiModelProperty(value = "模型主键ID")
    private Integer hid;

    private Integer modelparam;

    private String result;
    @TableField(exist = false)
    private String modeldescribe;


    @Override
    protected Serializable pkVal() {
        return null;
    }

}
