package com.gct.aoid.entity;

import lombok.Data;

import java.time.LocalDateTime;

@Data
public class AoidMsgValue {
    BaseParam baseParam;
    DiagnoseResult diagnoseResult;
    @Data
    public static class BaseParam {
        private Double sAtSlopeMinLoc;
        private Double sAtSlopeMaxLoc;
        private Double slopeDownloadMin;
        private Double slopeDownloadMax;

        private String id;

        private LocalDateTime createtime;

        private LocalDateTime prodDate;

        private String wellname;

        private String wellId;

        private String sgt;

        private double sMax;

        private double sMin;

        private Double lMax;

        private Double lMin;

        private double s;

        private double n;

        private double l;

        private double sEffect;

        private double area;

        private double upload;

        private double download;

        private Integer islegal;

        private String remark;

        private double lMid;

        private double lFirstdownturnpoint;

        private double sPre;

        private Integer sgtpointnum;

        private Integer sMaxPointLocation;

        private Integer sMinPointLocation;

        private Integer lMaxPointLocation;

        private Integer lMinPointLocation;

        private Double bj;
        private Double bs;
        private Double hsl;
        private Double smd;
        private Double ymd;
        private Double qyb;
        private Double dym;
    }

    @Data
    public static class DiagnoseResult {


        private String id;

        private String result1;


        private String result2;


        private String wellId;

        private LocalDateTime prodDateTime;


        private String sgt;

        private String remark;


    }
}