/**
 * @ClassName SingLegtYidld.java
 * @author gxt
 * @version 1.0.0
 * @Description 量液查询对象
 * @createTime 2021年04月22日 16:52:00
 */
package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * class name: AoidYeildStatVo
 *
 * @author wh
 * @version 1.0
 * @since 2023/11/23
 */
@Data
@ApiModel(value = "AoidYeildStatTrendErrorGtsVo",description = "错误工图趋势统计对象")
public class AoidYeildErrorGtsTrendVo {
    @ApiModelProperty(value = "日期")
    private String prodDate;
    @ApiModelProperty(value = "当日错误工图数量")
    private Double  errorGtsCount;
    @ApiModelProperty(value = "当日错误工图数量与上个正常日比(0.无效1.下降2.上升)")
    private Integer lastDayErrorGtsCountCompare;
    @ApiModelProperty(value = "当日产量与上个正常日比率")
    private Double lastDayErrorGtsCountProduction;

}
