package com.gct.aoid.entity.Vo;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.util.List;

/**
 * class name: LiqWarringVo
 *
 * @author gxt
 * @version 1.0
 * @since 2021/9/9 下午3:15 周四
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "LiqWarringVo对象", description = "量液报警查询对象")
public class LiqWarringVo {

    @ApiModelProperty(value = "机构信息")
    private String orgId;
    @ApiModelProperty(value = "井号")
    private String wellId;
    @ApiModelProperty(value = "井号集合")
    private List<String> wellIdList;
    @ApiModelProperty(value = "生产日期")
    private String pordDate;

    @ApiModelProperty(value = "当前页")
    private Integer currentPage;

    @ApiModelProperty(value = "每页几条")
    private Integer pageSize;


}
