package com.gct.aoid.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.aoid.entity.AoidGkHeavyModel;
import com.gct.common.core.result.Result;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
public interface AoidGkHeavyModelService extends IService<AoidGkHeavyModel> {

    /*
    根据工况查询稠油工况模型
     */
    AoidGkHeavyModel getGKModel_HeavyByResultType(String id);


    /**
     * 查询稠油诊断结果
     * @return
     */
    Result selectGKresult();




    /*
    根据id查询稠油工况模型
     */
    Result selectOneByGKModel_HeavyByResultType(double hid);


    /*
    根据工况查询稠油工况模型
     */
    Result selectOneByGKModel_HeavyByResultType1(String result);
    /**
     * 添加工况模型数据
     * @param aoidGkHeavyModel
     * @return
     */
    Result addAoidGkHeavyModel(AoidGkHeavyModel aoidGkHeavyModel);

    /**
     * 修改工况模型数据
     * @param aoidGkHeavyModel
     * @return
     */
    Result updateAoidGkHeavyModel(AoidGkHeavyModel aoidGkHeavyModel);


    /**
     * 根据模型结果查询模型相关数据
     * @param pageNum
     * @param pageSize
     * @param result
     * @return
     */
    Result findAllAoidGkHeavyModel(Integer pageNum, Integer pageSize,double result);


}
