package com.gct.aoid.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.gct.aoid.entity.AoidLiquidAbnormal;
import com.gct.aoid.entity.AoidParamSetting;

import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author gxt
 * @since 2021-12-21
 */
public interface AoidLiquidAbnormalService extends IService<AoidLiquidAbnormal> {

    Page<AoidLiquidAbnormal> getAoidLiquidAbnormalByPage(JSONObject jsonObject);
    boolean addAoidLiquidAbnormal(LocalDateTime date, List<AoidParamSetting> paramSettingList);
    boolean addAoidLiquidAbnormalNew(LocalDateTime date, List<AoidParamSetting> paramSettingList);
    AoidLiquidAbnormal calErrorInfo(LocalDateTime date,AoidLiquidAbnormal liquidAbnormals ,String threshold);
}
