/**
 * @ClassName SingLegtYidld.java
 * @author gxt
 * @version 1.0.0
 * @Description 量液查询对象
 * @createTime 2021年04月22日 16:52:00
 */
package com.gct.aoid.entity.Vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * class name: AoidYeildStatVo
 *
 * @author wh
 * @version 1.0
 * @since 2023/11/23
 */
@Data
@ApiModel(value = "AoidYeildStatTrendVo",description = "量液趋势统计对象")
public class AoidYeildStatTrendVo {
    @ApiModelProperty(value = "日期")
    private String prodDate;
    @ApiModelProperty(value = "当日总产液量")
    private Double  liqProdDailyTotal;
    @ApiModelProperty(value = "当日日志产液量")
    private Double  a2LiqProdDailyTotal;
    @ApiModelProperty(value = "产液量比较日志产液量(0.无效1.下降2.上升)")
    private Integer liqCompare;
    @ApiModelProperty(value = "当日产量与上个正常日比(0.无效1.下降2.上升)")
    private Integer lastDayProductionCompare;
    @ApiModelProperty(value = "当日产量与上个正常日比率")
    private Double lastDayProduction;

}
