package com.gct.aoid.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gct.aoid.entity.AoidGkHeavyModel;
import com.gct.aoid.entity.AoidSinglewellheavyConfig;
import com.gct.aoid.mapper.AoidSinglewellheavyConfigMapper;
import com.gct.aoid.service.AoidSinglewellheavyConfigService;
import com.gct.common.core.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author Lloyd
 * @since 2021-01-31
 */
@Service
public class AoidSinglewellheavyConfigServiceImpl extends ServiceImpl<AoidSinglewellheavyConfigMapper, AoidSinglewellheavyConfig> implements AoidSinglewellheavyConfigService {

    @Autowired
    private AoidSinglewellheavyConfigMapper aoidSinglewellheavyConfigMapper;

    /**
     * 查询稠油模型数据
     * @return
     */
    public Result selectGKodel()
    {
        QueryWrapper<AoidSinglewellheavyConfig> queryWrapper = new QueryWrapper<>();
        QueryWrapper<AoidSinglewellheavyConfig> wrapper = queryWrapper.select(
                "modelid",
                "mid");
        List<Map<String, Object>> maps = baseMapper.selectMaps(wrapper);
        HashMap<String, Object> allMap = new HashMap<>();
        allMap.put("modelid","全部");
        allMap.put("hid","");
        maps.add(0,allMap);
        return Result.ok(maps);
    }




}
